﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="GridRowUpdatingDataFormatColumn.WebForm1" %>

<%@ Register Assembly="Infragistics45.Web.v23.1, Version=23.1.20231.10, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<style>
		.editableCell {
			background-color: burlywood !important;
		}
	</style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
                    <ig:WebDataGrid ID="wdg" runat="server" Height="350px" Width="400px" AutoGenerateColumns="False" DataKeyFields="ID"
						EnableAjax="false" EnableAjaxViewState="false" OnRowUpdating="wdg_RowUpdating">
				<Columns>
					<ig:BoundDataField Key="ID" DataFieldName="ID" Header-Text="ID">
						<Header Text="ID"></Header>
					</ig:BoundDataField>
					<ig:BoundDataField Key="Fruit" DataFieldName="Fruit" Header-Text="Fruit" ></ig:BoundDataField>
					<ig:BoundDataField Key="Quantity" DataFieldName="Quantity" Header-Text="Quanity" DataFormatString="{0:N0}" CssClass="editableCell"></ig:BoundDataField>
					<ig:BoundDataField Key="Price" DataFieldName="Price" Header-Text="Price" DataFormatString="{0:C2}" CssClass="editableCell"></ig:BoundDataField>
				</Columns>
				<Behaviors>
					<ig:EditingCore>					
						<Behaviors>
							<ig:CellEditing CellEditingClientEvents-EnteringEditMode="wdg_CellEdit"  CellEditingClientEvents-ExitedEditMode="CellExitEditMode">
								<EditModeActions EnableOnActive="True" EnableOnKeyPress="True" MouseClick="Single"/>
							</ig:CellEditing>							
						</Behaviors>
					</ig:EditingCore>
					<ig:Activation>
					</ig:Activation>
				</Behaviors>
			</ig:WebDataGrid>
				</ContentTemplate>
			</asp:UpdatePanel>
             
        </div>
    </form>
	<script>				
        function wdg_CellEdit(sender, eventArgs) {
            var cellToEdit = eventArgs.getCell().get_column().get_key();
            if (cellToEdit != "Quantity" && cellToEdit !="Price") {
                eventArgs.set_cancel(true);
            }
		}

        function CellExitEditMode(sender, eventArgs) {
			var grid = sender;
			var editingCore = grid.get_behaviors().get_editingCore();
            editingCore.commit();		
		}

    </script>
</body>
</html>
