﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GridRowUpdatingDataFormatColumn
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Session["data"] = GetDataSource();
            }
            wdg.DataSource = (DataTable)Session["data"];
        }

        public DataTable GetDataSource()
        {
            DataTable dt = new DataTable("Table");
            dt.Columns.Add("ID");
            dt.Columns.Add("Fruit");
            dt.Columns.Add("Quantity");
            dt.Columns.Add("Price");

            dt.Columns["Quantity"].DataType = Type.GetType("System.Int32");
            dt.Columns["Price"].DataType = Type.GetType("System.Double");

            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = dt.Columns["ID"];
            dt.PrimaryKey = PrimaryKeyColumns;

            for (var i = 0; i < 15; i += 3)
            {
                dt.Rows.Add(new object[] { i, "Bannana", i, 2 });
                dt.Rows.Add(new object[] { i + 1, "Apple", i + 1, 1.5 });
                dt.Rows.Add(new object[] { i + 2, "Orange", i + 2, 2.5 });               

            }

            return dt;
        }

        protected void wdg_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
        {
            Debug.WriteLine(1);
        }
    }
}